
Figure - Bug #118461
【IOVDEV-32260】【内部】【VC1】【0100】【台架】【EE环境】【副屏】monkey异常中断
2023-06-02 11:19 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.C102����【副屏版本号】：01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118372 问题相同

Description

环境信息】EE环境

【问题出现时间】：20230601 21：00——20230602  08:50

【前提条件】：副屏上电，中控已连接

功放已连接 声音输出正常，开发者模式已关闭，无任何第三方应用

【操作步骤】

1.上传【adb push blackList.txt /sdcard】文件

2.执行@echo on

adb root

adb remount

adb push blackList.txt /sdcard

adb shell "monkey --pkg-blacklist-file /sdcard/blackList.txt --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30

--pct-pinchzoom 5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes --pct-syskeys 0 -v -v -v 12000000 >/sdcard/monkey.log 2>&1 &"

【实际结果】

1.早上来到之后monkey异常中断，副屏在屏保界面

【期望结果】

1.monkey不会中断

【备注】：

【当前开机次数】：146

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 118372: 【IOVDEV-31381】【VC1】【009... CLOSED 2023-05-30 2023-06-05

History

#1 - 2023-06-02 11:22 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118461
#2 - 2023-06-02 11:51 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118372 问题相同

■ 我的分析

与 #118372 问题相同，在 #118372 中分析

--------------

06-01 21:47:25.144 12597 12597 I Monkey  : Sleeping for 500 milliseconds

//最后一条moneky日志

06-01 21:47:25.172 12441 12445 I adbd    : persist.adb.tls_server.enable changed to 0

06-01 21:47:25.172 12441 12445 I adbd    : adb wifi stopped

06-01 21:47:25.179 12441 12445 I adbd    : Waiting for persist.adb.tls_server.enable=1

//adb wifi stop

06-01 21:47:25.229     0     0 I [25961.356351] init: Control message: Processed ctl.stop for 'adbd' from pid: 1511 (system_server)

06-01 21:47:25.229     0     0 I [25961.356919] init: Service 'adbd' (pid 12441) received signal 9

06-01 21:47:25.229     0     0 I [25961.357441] init: Untracked pid 12597 received signal 9

06-01 21:47:25.229     0     0 I [25961.357640] init: processing action (init.svc.adbd=stopped) from (/system/etc/init/hw/init.usb.configfs.rc:14)

//adb 进程没了

--------------

#3 - 2023-06-02 15:36 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-02 15:36 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-32260.zip 3.93 MB 2023-06-02 CDTS_Test 吴诗雨
